Sponsored Content
Top Forums Shell Programming and Scripting capturing exceptions from an scp clause Post 302601781 by Corona688 on Friday 24th of February 2012 10:56:00 AM
Old 02-24-2012
You don't need to use $? when checking a command's return value. You can check the command directly.

Code:
if ! scp source destination
then
        echo "something bad happened" >&2
fi

Or even
Code:
scp source destination || echo "something bad happened" >&2

If anything goes wrong, it will likely print an error to standard error. If you redirect standard error into a logfile yourself before you run it, all error messages will go into it.

Code:
exec 2>path/to/logfile

touch / # Since you're not root, this should print 'permission denied' into logfile

 

10 More Discussions You Might Find Interesting

1. Shell Programming and Scripting

exceptions in import

Hello, I want to import an Oracle database file on my fresh DB, bought before successfully with exp command. But is it possible to import some tables from the dmp file, because they are too large and it's so long !? I didn't find any option in imp command to make exception on certain tables...... (1 Reply)
Discussion started by: madmat
1 Replies

2. UNIX for Dummies Questions & Answers

if clause

hi, pls could you help me with one program in KSH ( i have sunOS). I need to create an If clause, that prints an error message and filenames, when in a directory are found some files of null size (find . -type f -size 0 ). thanks (3 Replies)
Discussion started by: palmer18
3 Replies

3. UNIX for Advanced & Expert Users

Remove directory with exceptions

Hi, I want to remove a directory recursively except the inside directories calles .SYNC (designsync dirs) I am looking for something like: \rm -rf < find . * | grep -v .SYNC The find works ok but I do not know how to redirect it. Please help. Regards, Ziv:rolleyes: (1 Reply)
Discussion started by: zivsegal
1 Replies

4. Shell Programming and Scripting

Remove directory with exceptions

Hi, I want to remove a directory recursively except the inside directories calles .SYNC (designsync dirs) I am looking for something like: \rm -rf < find . * | grep -v .SYNC The find works ok but I do not know how to redirect it. Please help. Regards, Ziv (3 Replies)
Discussion started by: zivsegal
3 Replies

5. UNIX for Advanced & Expert Users

java Exceptions color

Hi, I call a java program from a cron job and i need to display the exceptions or Errors thrown by java(basically stacktrace) in the unix/linux console in the red color.Is it possible to do that? If so, pls. give me some pointers how to do that. eg: Exception in thread "main"... (0 Replies)
Discussion started by: ramse8pc
0 Replies

6. UNIX for Dummies Questions & Answers

Diff with exceptions Question

So I'm currently developing an automated test system and I'm verifying my results by running a set of baselined data through and comparing the output (which is in a txt file) to a baseline results file. So of course I'm just using the diff command. Unfortunately each time I run the test there are 2... (3 Replies)
Discussion started by: Smitty0881
3 Replies

7. Programming

Relationship between exceptions and signals

Hi everyone, I am using AIX 6.1. There are exception codes defined in header file sys/m_except.hAlso, in the documentation (in "Understanding exception handling") it says: If no exception handler is currently defined when an exception occurs, typically one of two things happens. If... (0 Replies)
Discussion started by: manolo123
0 Replies

8. IP Networking

SIGUP Exceptions during the execution

hello, I am getting SIGUP Exceptions during an execution of a procedure. Below is the log: Type: SignalException Message: SIGHUP Backtrace: 12:38 PM Action threw an exception: SIGHUP 12:38 PM Action threw an exception: SIGHUP E, ERROR -- : Type: SignalException Message: SIGHUP... (1 Reply)
Discussion started by: Deepthi.Prakash
1 Replies

9. Shell Programming and Scripting

Wildcards and exceptions

Hello: I have a very basic question. I'd like to select all files except for one file. For example, say I want to move all of the files in my current directory to a subdirectory called archive, I would use mv ./* archive/ But what if I want to move all files except for README.txt? Is there an... (19 Replies)
Discussion started by: Danny.Boy
19 Replies

10. Shell Programming and Scripting

RegEx with exceptions

I am totaly new to RegEx, but I need to extract emails with RegEx from text file Some difficulties: 1. “@”symbol has been substituted for “ at ”,"AT" or "(at)" 2. I do not need any email with domain "myoldcompany" I found that with these I can found any emails: "^+@+\.+$" How to do... (1 Reply)
Discussion started by: AIX_30
1 Replies
LOGTAIL(8)							  logtail2 manual							LOGTAIL(8)

NAME
logtail2 - print log file lines that have not been read SYNOPSIS
logtail2 [-t] -flogfile [-ooffsetfile] DESCRIPTION
logtail2 reads a specified file (usually a log file) and writes to the standard output that part of it which has not been read by previous runs of logtail2. It prints the appropriate number of bytes from the end of logfile, assuming that all changes that are made to it are to add new characters to it. logfile must be a plain file. A symlink is not allowed. logtail2 stores the information about how much of it has already been read in a separate file called offsetfile. offsetfile can be omit- ted. If omitted, the file named logfile.offset in the same directory which contains logfile is used by default. If offsetfile is not empty, the inode of logfile is checked. If the inode is changed, logtail2 uses the heuristics stored in /usr/share/logtail/detectrotate/ to find a file that might be the rotated logfile and prints it starting with the stored offset. It then proceeds to simply print the entire new file and generates a new offsetfile. If the inode is not changed but logfile is shorter than it was at the last run of logtail2, it writes a warning message to the standard output. OPTIONS
-f logfile to be read after offset -o offsetfile stores offset of previous run -t test mode - do not change offset in offsetfile RETURN VALUES
0 successful 65 cannot get the size of logfile 66 general file or directory access issue 73 cannot write offsetfile AUTHOR
The original logtail was written in C by Craig H. Rowland <crowland@psionic.com>. This version of logtail is a modification of Paul Sloot- man's re-implementation in perl. enhanced by the Debian Logcheck Team <logcheck-devel@lists.alioth.debian.org>. This manual was written by Oohara Yuuma <oohara@libra.interq.or.jp> and enhanced by the Debian Logcheck Team <logcheck-devel@lists.alioth.debian.org>.. SEE ALSO
logcheck(8) Debian 28 Jul 2007 LOGTAIL(8)
All times are GMT -4. The time now is 09:10 AM.
Unix & Linux Forums Content Copyright 1993-2022. All Rights Reserved.
Privacy Policy